Subject: bug#20402: updated patch to pass http_proxy and https_proxy env vars to derivation builds

From: Joshua Randall <[email-masked]>
Date: Wed, 22 Apr 2015 15:22:50 +0100

Tags: patch

I've updated my patch to also modify guix/derivations.scm to add a setting
for nix's impureEnvVars, such that it will pass http_proxy and https_proxy
variables from the guix daemon to the build processes (which nix will do
only for fixed-output derivations).

I believe this is working, but I've now run into a third problem: the
bootstrap guile is only v2.0.9, and v.2.0.10 or later is required for proxy
support. What would I need to do to use a later version of bootstrap guile?

Cheers,

Josh.